/* Implementation av FIFO-lista -- fifo.c */

#include "fifo.h"
#include <stdlib.h>

void infifo(linktyp **lpp, datatyp d)
{
   linktyp *tp;

   if ( *lpp == NULL )
   {
      /* Frsta lnken */
      *lpp = malloc(sizeof(linktyp));
      (*lpp)->data = d;
      (*lpp)->next = NULL;
   }
   else
   {
      /* Flytta fram tp att peka p sista lnken */
      tp = *lpp;
      while ( tp->next != NULL)
	 tp = tp->next;

      /* Stoppa in d efter sista lnken i listan */
      tp->next = malloc(sizeof(linktyp));
      tp->next->data = d;
      tp->next->next = NULL;
   }
}

datatyp utfifo(linktyp **lpp)
{
   linktyp *tp;
   datatyp d;

   tp = *lpp;
   d = tp->data;
   *lpp = tp->next;
   free(tp);
   return d;
}
