/* Implementation av LIFO-lista -- lifo.c */

#include "lifo.h"
#include <stdlib.h>

void push(linktyp **lpp, datatyp d)
{
   linktyp *tp;

   tp = malloc(sizeof(linktyp));
   tp->data = d;
   tp->next = *lpp;
   *lpp = tp;
}

datatyp pop(linktyp **lpp)
{
   linktyp *tp;
   datatyp d;

   tp = *lpp;
   d = tp->data;
   *lpp = tp->next;
   free(tp);
   return d;
}
