/* Specifikation av berkningar av nollstllen-- nollfunk.h */

float intervall(float x1, float x2, float (*f)(float), float e);
/* Intervallhalvering ger ett nollstlle till funktionen f
   i intervallet x1 <= x <= x2 med ett fel p maximalt e */


float newton(float x1, float (*f)(float), float (*d)(float), float e);
/* Newton-Raphsons metod ger ett nollstlle till funktionen f
   vars derivata r d med ett fel p maximalt e */


float sekant(float x1, float x2, float (*f)(float), float e);
/* Sekantmetoden ger ett nollstlle till f med et fel p maximalt e */
