/* Specifikation av ppen hashtabell -- openhash.h */

#ifndef OPENHASH_H
#define OPENHASH_H

typedef int datatyp;    /* Exempelvis */

#define HASHTABSIZE 97


void initopenhash(datatyp *htab[]);
/* NULL-stller hashtabellen */

void intoopenhash(datatyp *htab[], datatyp d,
		  int (*hashfunk)(datatyp));
/* Stoppar in d i hashtabell enligt hashfunk */


datatyp *searchopenhash(datatyp *htab[], datatyp nyckel,
			int (*hashfunk)(datatyp),
			int (*is_equal)(datatyp, datatyp));
/* Sker efter nyckel i hashtabell */

#endif